## skrooge 2.22.1

=== debian/changelog ===
skrooge (2.22.1-1build1) groovy; urgency=medium

  * No-change rebuild against qtbase-abi-5-14-2.

 -- Rik Mills <rikmills@kde.org>  Sat, 16 May 2020 08:52:20 +0000

skrooge (2.22.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Apr 2020 10:30:06 +0200
