=== plugins/skrooge/skrooge_payee/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2020 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program. If not, see <https://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_PAYEE ::..")

PROJECT(plugin_payee)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_payee_SRCS
	skgpayeeplugin.cpp
	skgpayeepluginwidget.cpp)

ki18n_wrap_ui(skrooge_payee_SRCS skgpayeepluginwidget_base.ui skgpayeepluginwidget_pref.ui)
kconfig_add_kcfg_files(skrooge_payee_SRCS skgpayee_settings.kcfgc )

ADD_LIBRARY(skrooge_payee MODULE ${skrooge_payee_SRCS})
TARGET_LINK_LIBRARIES(skrooge_payee KF5::Parts KF5::ItemViews skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

########### install files ###############
INSTALL(TARGETS skrooge_payee DESTINATION ${KDE_INSTALL_QTPLUGINDIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/org.kde.skrooge-plugin-payee.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge_payee.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/skrooge_payee )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgpayee_settings.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
