=== plugins/skrooge/skrooge_search/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2020 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program. If not, see <https://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_SEARCH ::..")

PROJECT(plugin_search)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_search_SRCS
	skgsearchplugin.cpp
	skgsearchpluginwidget.cpp
        skgalarmboardwidget.cpp)

ki18n_wrap_ui(skrooge_search_SRCS skgsearchpluginwidget_base.ui skgsearchpluginwidget_pref.ui)
kconfig_add_kcfg_files(skrooge_search_SRCS skgsearch_settings.kcfgc )

ADD_LIBRARY(skrooge_search MODULE ${skrooge_search_SRCS})
TARGET_LINK_LIBRARIES(skrooge_search KF5::Parts KF5::ItemViews skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

########### install files ###############
INSTALL(TARGETS skrooge_search DESTINATION ${KDE_INSTALL_QTPLUGINDIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/org.kde.skrooge-plugin-search.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge_search.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/skrooge_search )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgsearch_settings.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
