=== debian/changelog ===
skrooge (2.23.0-1) unstable; urgency=medium

  * Team upload.

  [ John Scott ]
  * Suggest aqbanking-tools for using AqBanking as an input backend.

  [ Pino Toscano ]
  * New upstream release.
  * Add the upstream GPG signing key.
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Jul 2020 06:33:32 +0200
