=== debian/control ===
--- 
+++ 
@@ -48,6 +48,7 @@
                shared-mime-info,
                gettext,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://skrooge.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skrooge.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/skrooge
@@ -61,6 +62,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: poppler-utils
+Suggests: aqbanking-tools (>= 5.6.10)
 Breaks: skrooge-common (<< 2.13.0-2~),
 Replaces: skrooge-common (<< 2.13.0-2~),
 Description: personal finance manager for KDE
